# test for eccentric waveform model with advancement periastron

accounting = ligo.dev.o3.cbc.pe.lalinference

# trigger time tells u the part of data segment to retrieve. Check trigger-time along with geocent-time
# geocent-time is desirable near the end of this data segment.
trigger-time = 1126259642.413

label = InectionStudyTaylorF2Ecc25to256Hz
outdir = outdir_InectionStudyTaylorF2Ecc25to256Hz

detectors = [H1, L1]
sampling-frequency = 64.
duration = 172.
post-trigger-duration = 1.0
minimum-frequency=25.
maximum-frequency=256.
reference_frequency=30.

sampler = dynesty
sampler-kwargs = {'nlive': 500}

channel-dict = {H1:GWOSC, L1:GWOSC}

# custom waveform at lalsimulation
waveform-approximant = TaylorF2Ecc
frequency-domain-source-model = lal_taylorF2Ecc_fd

n-simulation = 1

n-parallel = 1

request-cpus = 8

injection=True

injection-dict = {'mass_1':1.5, 'mass_2':1.2, 'chirp_mass':1.166516134976123, 'mass_ratio':0.7999999999999999, 'eccentricity':0.0383693, 'a_1':0., 'a_2':0., 'tilt_1':0., 'tilt_2':0., 'phi_12':0., 'phi_jl':0.,'luminosity_distance':20., 'theta_jn':0.4, 'psi':2.659, 'phase':1.3, 'geocent_time':1126259600.0, 'ra':45.0, 'dec':5.73,}

prior-dict = {
mass_1 = Constraint(name='mass_1', minimum=1.0, maximum=3.0),
mass_2 = Constraint(name='mass_2', minimum=1.0, maximum=3.0),
chirp_mass = Uniform(name='chirp_mass', minimum=0.8705505632961241,maximum=2.611651689888372),
mass_ratio = Uniform(name='mass_ratio', minimum=0.3333333333333333, maximum=1),
eccentricity = Uniform(name='e0', minimum=0., maximum=0.1),
a_1 = 0.,
a_2 = 0.,
tilt_1 = 0.,
tilt_2 = 0.,
phi_12 = 0.,
phi_jl = 0.,
luminosity_distance = 20.,
theta_jn = 0.4,
psi =  2.659,
phase = Uniform(name='psi', minimum=0, maximum=6.283185307179586),
geocent_time = 1126259642.413,
ra = 45.0,
dec = 5.73,
}


